Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

New wpdb::prepare() notice appearing in WordPress 3.9-beta2 #354

Closed
fjarrett opened this issue Mar 22, 2014 · 1 comment

Comments

Projects
None yet
2 participants
@fjarrett
Copy link
Contributor

commented Mar 22, 2014

It appears that 3.9 now requires that when using wpdb::prepare() at least one placeholder must exist in the SQL query (first argument).

Notice: wpdb::prepare was called incorrectly. The query argument of wpdb::prepare() must have a placeholder. Please see Debugging in WordPress for more information. (This message was added in version 3.9.) in /srv/www/wordpress-trunk/wp-includes/functions.php on line 3049

There are several cases of this happening in includes/query.php

To reproduce the notice, you will need to make sure you exclude a specific user account in the Stream Settings > Exclude tab.

screen_shot_2014-03-22_at_1_15_32_pm

screen shot 2014-03-22 at 12 09 15 pm

screen shot 2014-03-22 at 12 49 54 pm

@fjarrett

This comment has been minimized.

Copy link
Contributor Author

commented Mar 25, 2014

Will be fixed when #362 is merged

@fjarrett fjarrett closed this in ecef750 Mar 27, 2014

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.